Data Endpoints
Endpoint Reference
All data endpoints share the base path /api/v1/economic-data and accept the same set of query parameters.
Common query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
api_key |
string | Yes | Your API key |
series |
string | Yes | Comma-separated list of series codes (see each endpoint below) |
date_from |
date | Yes | Start date in YYYY-MM-DD format |
date_to |
date | Yes | End date in YYYY-MM-DD format |
token_id |
string | No | Pagination token returned in next_url (see Pagination) |
Date constraints
date_frommust be on or beforedate_todate_tomust not be in the future
UI Weekly Claims
GET /api/v1/economic-data/ui_weekly_claims
Weekly unemployment insurance initial and continued claims, published by the U.S. Department of Labor.
Frequency: Weekly
Available series
| Series code | Description |
|---|---|
initial_claims_sa |
Seasonally Adjusted Initial Claims |
continued_claims_sa |
Seasonally Adjusted Continued Claims |
initial_claims_nsa |
Not Seasonally Adjusted Initial Claims |
continued_claims_nsa |
Not Seasonally Adjusted Continued Claims |
initial_claims_sa_4w_avg |
4-Week Average Seasonally Adjusted Initial Claims |
continued_claims_sa_4w_avg |
4-Week Average Seasonally Adjusted Continued Claims |
Example:
GET /api/v1/economic-data/ui_weekly_claims?series=initial_claims_sa,continued_claims_sa&date_from=2025-01-01&date_to=2026-01-01&api_key=YOUR_KEY
JOLTS
GET /api/v1/economic-data/jolts
Job Openings and Labor Turnover Survey data from the Bureau of Labor Statistics. Covers hires, job openings, quits, layoffs and discharges, other separations, and total separations. Each metric is available as both a level and a rate, in seasonally adjusted (SA) and not seasonally adjusted (NSA) variants.
Frequency: Monthly
Available series
| Series code | Description |
|---|---|
hires_level_sa |
Hires Level (SA) |
hires_level_nsa |
Hires Level (NSA) |
hires_rate_sa |
Hires Rate (SA) |
hires_rate_nsa |
Hires Rate (NSA) |
job_openings_level_sa |
Job Openings Level (SA) |
job_openings_level_nsa |
Job Openings Level (NSA) |
job_openings_rate_sa |
Job Openings Rate (SA) |
job_openings_rate_nsa |
Job Openings Rate (NSA) |
quits_level_sa |
Quits Level (SA) |
quits_level_nsa |
Quits Level (NSA) |
quits_rate_sa |
Quits Rate (SA) |
quits_rate_nsa |
Quits Rate (NSA) |
layoffs_discharges_level_sa |
Layoffs & Discharges Level (SA) |
layoffs_discharges_level_nsa |
Layoffs & Discharges Level (NSA) |
layoffs_discharges_rate_sa |
Layoffs & Discharges Rate (SA) |
layoffs_discharges_rate_nsa |
Layoffs & Discharges Rate (NSA) |
total_separations_level_sa |
Total Separations Level (SA) |
total_separations_level_nsa |
Total Separations Level (NSA) |
total_separations_rate_sa |
Total Separations Rate (SA) |
total_separations_rate_nsa |
Total Separations Rate (NSA) |
other_separations_level_sa |
Other Separations Level (SA) |
other_separations_level_nsa |
Other Separations Level (NSA) |
other_separations_rate_sa |
Other Separations Rate (SA) |
other_separations_rate_nsa |
Other Separations Rate (NSA) |
job_openings_unemployed_ratio_sa |
Job Openings to Unemployed Ratio (SA) |
job_openings_unemployed_ratio_nsa |
Job Openings to Unemployed Ratio (NSA) |
Example:
GET /api/v1/economic-data/jolts?series=job_openings_level_sa,quits_level_sa&date_from=2025-01-01&date_to=2026-01-01&api_key=YOUR_KEY
UI State Weekly Claims
GET /api/v1/economic-data/ui_state_weekly_claims
State-level weekly unemployment insurance claims, published by the U.S. Department of Labor.
Frequency: Weekly
Available series
| Series code | Description |
|---|---|
initial_claims |
Initial Claims |
continued_claims |
Continued Claims |
Example:
GET /api/v1/economic-data/ui_state_weekly_claims?series=initial_claims,continued_claims&date_from=2025-01-01&date_to=2026-01-01&api_key=YOUR_KEY
Personal Income & Outlays
GET /api/v1/economic-data/personal_income_and_outlays
Personal income data from the Bureau of Economic Analysis (BEA) NIPA tables.
Frequency: Monthly
Available series
| Series code | Description |
|---|---|
total_personal_income |
Personal Income (Total) |
Example:
GET /api/v1/economic-data/personal_income_and_outlays?series=total_personal_income&date_from=2025-01-01&date_to=2026-01-01&api_key=YOUR_KEY
US Exports
GET /api/v1/economic-data/us_exports
U.S. export data by world region, sourced from the U.S. Census Bureau.
Frequency: Monthly
Available series
| Series code | Description |
|---|---|
north_america |
North America |
central_america |
Central America |
south_america |
South America |
europe |
Europe |
asia |
Asia |
australia_oceania |
Australia and Oceania |
africa |
Africa |
Example:
GET /api/v1/economic-data/us_exports?series=europe,asia&date_from=2025-01-01&date_to=2026-01-01&api_key=YOUR_KEY
Factors Affecting Reserve Balances
GET /api/v1/economic-data/factors_affecting_reserve_balances
Federal Reserve H.4.1 statistical release — factors affecting reserve balances of depository institutions. Covers the Fed's asset holdings and key liability categories.
Frequency: Weekly
Available series
| Series code | Description |
|---|---|
treasury_securities_total |
U.S. Treasury Securities Held Outright (Total) |
treasury_bills |
U.S. Treasury Securities: Bills |
treasury_notes_bonds_nominal |
U.S. Treasury Securities: Notes and Bonds (Nominal) |
treasury_notes_bonds_inflation_indexed |
U.S. Treasury Securities: Notes and Bonds (Inflation-Indexed) |
treasury_inflation_compensation |
U.S. Treasury Securities: Inflation Compensation |
federal_agency_debt_securities |
Federal Agency Debt Securities Held Outright |
mortgage_backed_securities |
Mortgage-Backed Securities Held Outright |
loans |
Liquidity and Credit Facilities: Loans |
repurchase_agreements |
Repurchase Agreements |
reverse_repurchase_agreements |
Reverse Repurchase Agreements |
treasury_general_account |
U.S. Treasury General Account |
term_deposits_held_by_depository_institutions |
Term Deposits Held by Depository Institutions |
other_deposits_held_by_depository_institutions |
Other Deposits Held by Depository Institutions |
other_assets_total |
Other Assets Total (Securities, Premiums, Discounts, Repos, and Loans) |
Example:
GET /api/v1/economic-data/factors_affecting_reserve_balances?series=treasury_securities_total,mortgage_backed_securities&date_from=2025-01-01&date_to=2026-01-01&api_key=YOUR_KEY
US Debt
GET /api/v1/economic-data/us_debt
U.S. national debt data from the U.S. Treasury's Debt to the Penny dataset.
Frequency: Daily
Available series
| Series code | Description |
|---|---|
debt_held_by_public |
Debt Held by the Public |
intragovernmental_holdings |
Intragovernmental Holdings |
total_public_debt_outstanding |
Total Public Debt Outstanding |
Example:
GET /api/v1/economic-data/us_debt?series=total_public_debt_outstanding,debt_held_by_public&date_from=2025-01-01&date_to=2026-01-01&api_key=YOUR_KEY